<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net7.0</TargetFramework>
		<TieredCompilationQuickJit>false</TieredCompilationQuickJit>
		<Nullable>enable</Nullable>
		<TrimMode>partial</TrimMode>
		<BuiltInComInteropSupport>true</BuiltInComInteropSupport>
		<DebugType>embedded</DebugType>
		<StartupObject>VeloeMinecraftLauncher.Program</StartupObject>
		<PlatformTarget>x64</PlatformTarget>
		<AssemblyVersion>1.4.0.101</AssemblyVersion>
		<FileVersion>1.4.0.101</FileVersion>
		<Configurations>Debug;Release</Configurations>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<NoWarn>NU1605</NoWarn>
		<Optimize>True</Optimize>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<NoWarn>NU1605</NoWarn>
	</PropertyGroup>
	<ItemGroup>
		<AvaloniaResource Include="Assets\**" />
		<None Remove=".gitignore" />
	</ItemGroup>
	<ItemGroup>
		<!--This helps with theme dll-s trimming.
	If you will publish your application in self-contained mode with p:PublishTrimmed=true and it will use Fluent theme Default theme will be trimmed from the output and vice versa.
	https://github.com/AvaloniaUI/Avalonia/issues/5593 -->
		<TrimmableAssembly Include="Avalonia.Themes.Fluent" />
		<TrimmableAssembly Include="Avalonia.Themes.Default" />
	</ItemGroup>
	<ItemGroup>
		<PackageReference Include="Avalonia" Version="11.0.4" />
		<PackageReference Include="Avalonia.Controls.DataGrid" Version="11.0.4" />
		<PackageReference Include="Avalonia.Desktop" Version="11.0.4" />
		<!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
		<PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.0.4" />
		<PackageReference Include="Avalonia.Fonts.Inter" Version="11.0.4" />
		<PackageReference Include="Avalonia.ReactiveUI" Version="11.0.4" />
		<PackageReference Include="Avalonia.Themes.Fluent" Version="11.0.4" />
		<PackageReference Include="Avalonia.Xaml.Interactivity" Version="11.0.2" />
		<PackageReference Include="Microsoft.AspNet.WebApi.Client" Version="5.2.9" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="7.0.10" />
		<PackageReference Include="ReactiveUI.Blazor" Version="19.4.1" />
		<PackageReference Include="ReactiveUI.Validation" Version="3.1.7" />
		<PackageReference Include="Serilog" Version="3.0.1" />
		<PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
		<PackageReference Include="SerilogTraceListener" Version="3.2.0" />
		<PackageReference Include="System.Net.Http" Version="4.3.4" />
	</ItemGroup>
	<ItemGroup>
		<Compile Update="Views\MessageWindow.axaml.cs">
			<DependentUpon>MessageWindow.axaml</DependentUpon>
		</Compile>
	</ItemGroup>
</Project>